summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
Diffstat (limited to 'test')
-rwxr-xr-xtest/test.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/test/test.sh b/test/test.sh
index c7bd4fcce8..55c74ef70b 100755
--- a/test/test.sh
+++ b/test/test.sh
@@ -90,9 +90,22 @@ test_step_prerequisites() {
fi
}
+# Dump version information
+test_step_tshark_version() {
+ test_remark_add "Printing TShark version"
+ $TSHARK -v
+ RETURNVALUE=$?
+ if [ ! $RETURNVALUE -eq $EXIT_OK ]; then
+ test_step_failed "Failed to print version information"
+ return
+ fi
+ test_step_ok
+}
+
prerequisites_suite() {
test_step_add "Prerequisites settings" test_step_prerequisites
+ test_step_add "Version information" test_step_tshark_version
}
test_suite() {